import * as React from 'react';

import { Grid, GridCol, HORIZONTAL_ALIGN } from '@romanjaros/treejs-components/Grid';

import { generateDocumentationObject } from 'documentation/App/utils/documentation';
import DocTable from 'documentation/App/components/DocTable';

import { groups, children } from '../typedoc.json';

import { StyledDiv } from '../styles';


const gridPropDefinition = generateDocumentationObject(groups, children, 'IGrid');
const gridColPropDefinition = generateDocumentationObject(groups, children, 'IGridCol');

const GridPage = (): React.ReactElement => (
	<React.Fragment>
		<h2>Grid</h2>

		<h3>Normal</h3>
		<Grid>
			<GridCol size={1}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={1}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={1}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={1}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={1}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={1}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={1}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={1}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={1}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={1}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={1}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={1}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={2}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={2}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={2}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={2}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={2}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={2}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={3}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={3}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={3}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={3}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={4}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={4}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={4}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={6}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={6}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={12}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
		</Grid>

		<h3>Justify</h3>

		<b>Left</b>
		<Grid horizontalAlign={HORIZONTAL_ALIGN.LEFT}>
			<GridCol size={3}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={3}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
		</Grid>

		<b>Right</b>
		<Grid horizontalAlign={HORIZONTAL_ALIGN.RIGHT}>
			<GridCol size={3}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={3}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
		</Grid>

		<b>Center</b>
		<Grid horizontalAlign={HORIZONTAL_ALIGN.CENTER}>
			<GridCol size={3}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={3}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
		</Grid>

		<b>Middle</b>
		<Grid horizontalAlign={HORIZONTAL_ALIGN.MIDDLE}>
			<GridCol size={3}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={3}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
		</Grid>

		<b>Edge</b>
		<Grid horizontalAlign={HORIZONTAL_ALIGN.EDGE}>
			<GridCol size={3}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
			<GridCol size={3}>
				<StyledDiv>&nbsp;</StyledDiv>
			</GridCol>
		</Grid>

		<h4>Props</h4>
		<h5>Grid</h5>
		<DocTable propDefinition={gridPropDefinition} />
		<h5>GridCol</h5>
		<DocTable propDefinition={gridColPropDefinition} />
	</React.Fragment>
);

export default GridPage;
