import * as React from 'react';

import AddModalButton from '@romanjaros/treejs-components/Modal/components/AddModalButton';
import { Grid, GridCol } from '@romanjaros/treejs-components/Grid';
import TextField from '@romanjaros/treejs-components/TextField';

import { generateDocumentationObject } from 'documentation/App/utils/documentation';
import DocTable from 'documentation/App/components/DocTable';

import { groups, children } from '../typedoc.json';


const propDefinition = generateDocumentationObject(groups, children);

const ComponentA = (): React.ReactElement => {
	return (<div>ahoj</div>)
};

const ComponentB = (): React.ReactElement => {
	return (
		<div>
			<TextField name="search" title="Enter something for search" />
		</div>
	);
};

const ModalPage = (): React.ReactElement => {
	return (
		<React.Fragment>
			<h2>Modal</h2>

			<h3>Normal</h3>
			<Grid>
				<GridCol size={4}>
					<AddModalButton
						name="modalName"
						title="Open modal"
						modalTitle="Modální okno 1"
						component={<ComponentA />}
					/>
				</GridCol>
				<GridCol size={4}>
					<AddModalButton
						name="nextModal"
						width={250}
						title="Open small modal"
						modalTitle="Modální okno 2"
						component={<ComponentB />}
					/>
				</GridCol>
			</Grid>

			<h4>Props</h4>
			<DocTable propDefinition={propDefinition} />
		</React.Fragment>
	);
};

export default ModalPage;
