import * as React from 'react';

import TextField from '@romanjaros/treejs-components/TextField';
import { Grid, GridCol } from '@romanjaros/treejs-components/Grid';

import { generateDocumentationObject } from 'documentation/App/utils/documentation';
import DocTable from 'documentation/App/components/DocTable';

import { groups, children } from '../typedoc.json';


const propDefinition = generateDocumentationObject(groups, children);

const TextFieldPage = (): React.ReactElement => (
	<React.Fragment>
		<h2>TextField</h2>

		<h3>Normal</h3>
		<Grid>
			<GridCol size={3}>
				<TextField name="normal" title="Uživatelské jméno" />
			</GridCol>
			<GridCol size={3}>
				<TextField name="normal2" title="Heslo" />
			</GridCol>
		</Grid>

		<h3>Disable</h3>
		<Grid>
			<GridCol size={3}>
				<TextField name="disable" title="Disable" disabled value="value" />
			</GridCol>
			<GridCol size={3}>
				<TextField name="disable" title="Disable without value" disabled />
			</GridCol>
		</Grid>

		<h4>Props</h4>
		<DocTable propDefinition={propDefinition} />
	</React.Fragment>
);

export default TextFieldPage;
