import { createSelector } from 'reselect';
import { prop, memoizeWith, identity } from 'ramda';

import { MAIN_REDUCER_NAME, AUTH_REDUCER_NAME } from '@romanjaros/treejs-constants/redux/reducers';

import { IAuthOption } from '../types';


export const getRoot = <P>(state: any): IAuthOption<P> => state[MAIN_REDUCER_NAME][AUTH_REDUCER_NAME];

export const isAuthenticated = createSelector(
	getRoot,
	(state): boolean => prop('authenticated')(state)
);

const getAttribute = memoizeWith(identity, (attributeName) => {
	return prop(attributeName as string);
});

export const getAuthenticateAttribute = <P>(state: any, attributeName: keyof P): string =>
	getAttribute(attributeName)(state);
