import * as React from 'react';

import { RippleWrapper } from './style';


const withRipple = <P extends object>(WrappedComponent: React.ComponentType<P>) => {
	return class RippleProvider extends React.Component<P> {
		public render() {
			return (
				<RippleWrapper>
					<WrappedComponent {...this.props} />
				</RippleWrapper>
			);
		}
	};
};

export default withRipple;