import styled from '../styled';


export const RippleWrapper = styled.div`
	position: relative;
	overflow: hidden;
	transform: translate3d(0, 0, 0);

	&:after {
		content: "";

		display: block;

		position: absolute;
		top: 0;
		left: 0;

		width: 100%;
		height: 100%;

		pointer-events: none;

		background-image: radial-gradient(circle, #000 10%, transparent 10.01%);
		background-repeat: no-repeat;
		background-position: 50%;

		transform: scale(10,10);
		transition: transform .2s, opacity 1s;

		opacity: 0;
	}

	&:active:after {
		transform: scale(0,0);
		transition: 0s;

		opacity: .2;
	}
`;